Home

Return a trace at a specific position in a transaction

POST
https://eth-archive.nownodes.io/

Returns a single localized transaction trace from a transaction hash and trace address index path.

Body

application/json

Returns a single localized transaction trace from a transaction hash and trace address index path.

Request payload for trace_get.

jsonrpcstring2.0required

JSON-RPC protocol version.

methodstringtrace_getrequired

JSON-RPC method name.

idinteger | stringrequired

Client-provided JSON-RPC request identifier. The same value is returned in the response.

paramsArray<string | Array<string>>required

Parameters: transaction hash and trace address indices.

Show child attributes

trace_get positional parameter.

One of

Transaction hash containing the requested trace.

string
Array<string>

Response

200OK

Successful JSON-RPC response or JSON-RPC method error.

400Bad Request

Invalid HTTP request body or malformed JSON-RPC payload.

401Unauthorized

Missing or invalid API key.

500Internal Server Error

Internal server error.